pFtest {plm} | R Documentation

## F Test for Individual and/or Time Effects

### Description

Test of individual and/or time effects based on the comparison of the `within` and the `pooling` model.

### Usage

    pFtest(x, ...)
    ## S3 method for class 'plm'
    pFtest(x, z, ...)
    ## S3 method for class 'formula'
    pFtest(x, data, ...)

### Arguments

`x` | an object of class `"plm"` or of class `"formula"`,
`z` | an object of class `"plm"`,
`data` | a `data.frame`,
`...` | further arguments.

### Details

For the `plm` method, the argument of this function is two `plm` objects, the first being a within model, the second a pooling model. The effects tested are either individual, time or twoways, depending on the effects introduced in the model.

### Value

An object of class `"htest"`.

### Author(s)

Yves Croissant

### See Also

`plmtest` for Lagrange multipliers tests of individuals and/or time effects.

### Examples

    data("Grunfeld", package="plm")
    gi <- plm(inv ~ value + capital, data = Grunfeld, model = "pooling")
    gt <- plm(inv ~ value + capital, data = Grunfeld,
              effect = "time", model = "within")
    gd <- plm(inv ~ value + capital, data = Grunfeld,
              effect = "twoways", model = "within")
    pFtest(gt, gi)
    pFtest(gd, gi)
    pFtest(inv ~ value + capital, data = Grunfeld, effect = "twoways")

[Package plm version 1.5-12 Index]